#!/bin/bash

# What you need:
#- jq tool 
#- ip address and port of the ADAPT DO node
#- application name
#- filepath of the private ssh key to set in the nodes to allow ssh passworldless
#- the json body to POST to enpoints (as for the ADAPT DO REST API)
#- APPLY: define if really apply the terraform actions or just plan them 

APPLY=true
. ./params.txt

echo "Uploading ssh key (will enable ADAPT DO to passwordless ssh-connect to started vms)"
echo "curl -s -o /dev/null -w '%{http_code}' -F file=@$PRIVATE_SSH_KEY_PATH http://$ADAPT_IP:$ADAPT_PORT/terraform/adapt-deployer/$APPLICATION_NAME/privateSshKey"
HTTP_RESPONSE=`curl -s -o /dev/null -w "%{http_code}" -F file=@$PRIVATE_SSH_KEY_PATH http://$ADAPT_IP:$ADAPT_PORT/terraform/adapt-deployer/$APPLICATION_NAME/privateSshKey`

echo "Response: $HTTP_RESPONSE"
if [ "$HTTP_RESPONSE" -ne 200 ] &&  [ "$HTTP_RESPONSE" -ne 201 ] ; then
        echo "Error in uploading private ssh key: $HTTP_RESPONSE"
        exit 1
fi

